﻿Public Class Form1

    Private Sub btnForm2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnForm2.Click
        Form2.Show()
    End Sub

    Private Sub btnForm3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnForm3.Click
        Form3.Show()
    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing

        If MessageBox.Show("Are you sure you want to quit?", _
                           "Exit", _
                           MessageBoxButtons.YesNo, _
                           MessageBoxIcon.Question, _
                           MessageBoxDefaultButton.Button2, _
                           MessageBoxOptions.DefaultDesktopOnly) = DialogResult.No Then
            e.Cancel = True
            Exit Sub
        End If

        If IsFormOpen("Form2") Then
            Form2.Close()
        End If

        If IsFormOpen("Form3") Then
            Form3.Close()
        End If

    End Sub

    Private Function IsFormOpen(ByVal pstrFormName As String)

        For Each objForm In My.Application.OpenForms
            If objForm.Name <> pstrFormName Then
                Return True
            End If
        Next objForm

        Return False

    End Function


End Class
